Bug 178520 - crashes with a corrupted double-linked list
crashes with a corrupted double-linked list
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 05:36 EST by Erwin Rol
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 00:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erwin Rol 2006-01-21 05:36:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
After a while (even without doing anything interactive) the panel crashes with the following backtrace.

*** glibc detected *** gnome-panel: corrupted double-linked list: 0x0000003e1c0349f0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3e1be6a942]
/lib64/libc.so.6[0x3e1be6cda4]
/lib64/libc.so.6(malloc+0x7d)[0x3e1be6e50d]
/usr/lib64/libglib-2.0.so.0(g_malloc+0x20)[0x36ea82b263]
/usr/lib64/libgobject-2.0.so.0(g_object_new_valist+0x45)[0x36eaa0fa94]
/usr/lib64/libgobject-2.0.so.0(g_object_new+0xa1)[0x36eaa0fe6a]
/usr/lib64/libgtk-x11-2.0.so.0[0x360db128d8]
/usr/lib64/libgobject-2.0.so.0(g_type_create_instance+0x552)[0x36eaa280a1]
/usr/lib64/libgobject-2.0.so.0[0x36eaa11264]
/usr/lib64/libgobject-2.0.so.0(g_object_newv+0x22e)[0x36eaa0f295]
/usr/lib64/libgobject-2.0.so.0(g_object_new_valist+0x209)[0x36eaa0fc58]
/usr/lib64/libgobject-2.0.so.0(g_object_new+0xa1)[0x36eaa0fe6a]
gnome-panel(panel_create_menu+0x39)[0x4391af]
gnome-panel[0x44620c]
gnome-panel[0x446d11]
/usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x114)[0x36eaa0ae6a]
/usr/lib64/libgobject-2.0.so.0[0x36eaa1a56a]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x752)[0x36eaa1b765]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x36eaa1ba1d]
/usr/lib64/libgnomevfs-2.so.0[0x360ec3ff2c]
/usr/lib64/libgnomevfs-2.so.0[0x360ec273f5]
/usr/lib64/libORBit-2.so.0(ORBit_small_invoke_adaptor+0x540)[0x36ec02f15e]
/usr/lib64/libORBit-2.so.0[0x36ec03ca3e]
/usr/lib64/libORBit-2.so.0[0x36ec03cfe5]
/usr/lib64/libORBit-2.so.0[0x36ec03d04e]
/usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x1ac)[0x36ea824c81]
/usr/lib64/libglib-2.0.so.0[0x36ea827a9d]
/usr/lib64/libglib-2.0.so.0(g_main_loop_run+0x19e)[0x36ea827dee]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa3)[0x360db0be85]
gnome-panel(main+0x12d)[0x421593]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3e1be1cde4]
gnome-panel[0x41fec9]


Version-Release number of selected component (if applicable):
2.13.5-2

How reproducible:
Always

Steps to Reproduce:
1. simply start the panel and wait a few minutes
  

Additional info:
Comment 1 Erwin Rol 2006-01-28 09:43:25 EST
The latest rawhide update (20060128) with gnome-panel-2.13.90-1 seems to have
fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.